<?php

declare(strict_types=1);

namespace app\common\library\token;

use Exception;

/**
 * Token 过期异常
 */
class TokenExpirationException extends Exception
{
    protected array $data = [];

    public function __construct(
        string $message = '',
        int $code = 409,
        array $data = [],
        ?\Throwable $previous = null
    ) {
        $this->data = $data;
        parent::__construct($message, $code, $previous);
    }

    public function getData(): array
    {
        return $this->data;
    }
}
